/*
 * GPIO sysfs user space application
 *
 * Copyright (C) 2012 Texas Instruments Incorporated - http://www.ti.com/
 * AnilKumar Ch <anilkumar@ti.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef GPIO_H
#define GPIO_H

#define VERSION "1.0"

enum {
	GPIO_DIR_OUT = 2,
	GPIO_DIR_IN,
	GPIO_DIR_HIGH,
	GPIO_DIR_LOW,
	GPIO_VAL_ZERO,
	GPIO_VAL_ONE,
	GPIO_EDG_NONE,
	GPIO_EDG_RISE,
	GPIO_EDG_FALL,
};

void gpio_export(unsigned gpio);
void gpio_unexport(unsigned gpio);
unsigned int gpio_get_edge(unsigned gpio);
unsigned int gpio_get_value(unsigned gpio);
unsigned int gpio_get_direction(unsigned gpio);
void gpio_set_edge(unsigned gpio, unsigned int edge);
void gpio_set_value(unsigned gpio, unsigned int value);
void gpio_set_direction(unsigned gpio, unsigned int direction);

#endif
