/*
 * AM33XX interrupts.
 *
 * Copyright (C) 2011 Texas Instruments, Inc. - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __ARCH_ARM_MACH_OMAP2_AM33XX_IRQS_H
#define __ARCH_ARM_MACH_OMAP2_AM33XX_IRQS_H


#define AM33XX_IRQ_ELM			4
#define AM33XX_IRQ_PI_NMI		7
#define AM33XX_IRQ_CONTROL_PLATFORM	8
#define AM33XX_IRQ_L3_FLAGMUX0		9
#define AM33XX_IRQ_L3_FLAGMUX1		10
#define AM33XX_IRQ_PRCM			11
#define AM33XX_IRQ_TPCC0_INT_PO0	12
#define AM33XX_IRQ_TPCC0_MPINT_PO	13
#define AM33XX_IRQ_TPCC0_ERRINT_PO	14
#define AM33XX_IRQ_WDT0			15
#define AM33XX_IRQ_ADC_GEN		16
#define AM33XX_IRQ_USBSS		17
#define AM33XX_IRQ_USB0			18
#define AM33XX_IRQ_USB1			19
#define AM33XX_IRQ_ICSS0_0		20
#define AM33XX_IRQ_ICSS0_1		21
#define AM33XX_IRQ_ICSS0_2		22
#define AM33XX_IRQ_ICSS0_3		23
#define AM33XX_IRQ_ICSS0_4		24
#define AM33XX_IRQ_ICSS0_5		25
#define AM33XX_IRQ_ICSS0_6		26
#define AM33XX_IRQ_ICSS0_7		27
#define AM33XX_IRQ_MMCHS1		28
#define AM33XX_IRQ_MMCHS2		29
#define AM33XX_IRQ_MSHSI2COCP2		30
#define AM33XX_IRQ_PWMSS0_ECAP		31
#define AM33XX_IRQ_GPIO2_1		32
#define AM33XX_IRQ_GPIO2_2		33
#define AM33XX_IRQ_USB_P		34
#define AM33XX_IRQ_PCI_SLV		35
#define AM33XX_IRQ_LCD			36
#define AM33XX_IRQ_THALIAIRQ		37
#define AM33XX_IRQ_BB_2DHWA		38
#define AM33XX_IRQ_PWMSS2_EPWM		39
#define AM33XX_IRQ_CPSW_C0_RX		40
#define AM33XX_IRQ_CPSW_RX		41
#define AM33XX_IRQ_CPSW_TX		42
#define AM33XX_IRQ_CPSW_C0		43
#define AM33XX_IRQ_UART3		44
#define AM33XX_IRQ_UART4		45
#define AM33XX_IRQ_UART5		46
#define AM33XX_IRQ_PWMSS1_ECAP		47
#define AM33XX_IRQ_PCI0			48
#define AM33XX_IRQ_PCI1			49
#define AM33XX_IRQ_PCI2			50
#define AM33XX_IRQ_PCI3			51
#define AM33XX_IRQ_DCAN0_0		52
#define AM33XX_IRQ_DCAN0_1		53
#define AM33XX_IRQ_DCAN0_UERR		54
#define AM33XX_IRQ_DCAN1_0		55
#define AM33XX_IRQ_DCAN1_1		56
#define AM33XX_IRQ_DCAN1_UERR		57
#define AM33XX_IRQ_PWMSS0		58
#define AM33XX_IRQ_PWMSS1		59
#define AM33XX_IRQ_PWMSS2		60
#define AM33XX_IRQ_PWMSS2_ECAP		61
#define AM33XX_IRQ_GPIO3_1		62
#define AM33XX_IRQ_GPIO3_2		63
#define AM33XX_IRQ_MMCHS0		64
#define AM33XX_IRQ_MCSPIOCP0		65
#define AM33XX_IRQ_DMTIMER0		66
#define AM33XX_IRQ_DMTIMER1		67
#define AM33XX_IRQ_DMTIMER2		68
#define AM33XX_IRQ_DMTIMER3		69
#define AM33XX_IRQ_MSHSI2COCP0		70
#define AM33XX_IRQ_MSHSI2COCP1		71
#define AM33XX_IRQ_UART0		72
#define AM33XX_IRQ_UART1		73
#define AM33XX_IRQ_UART2		74
#define AM33XX_IRQ_RTC_TIMER		75
#define AM33XX_IRQ_RTC_ALARM		76
#define AM33XX_IRQ_MAILBOX		77
#define AM33XX_IRQ_M3_M3SP_TXEV		78
#define AM33XX_IRQ_PWMSS0_EQEP		79
#define AM33XX_IRQ_MCASP0_AX		80
#define AM33XX_IRQ_MCASP0_AR		81
#define AM33XX_IRQ_MCASP1_AX		82
#define AM33XX_IRQ_MCASP1_AR		83
#define AM33XX_IRQ_MCASP2_X		84
#define AM33XX_IRQ_MCASP2_R		85
#define AM33XX_IRQ_PWMSS0_EPWM		86
#define AM33XX_IRQ_PWMSS1_EPWM		87
#define AM33XX_IRQ_PWMSS1_EQEP		88
#define AM33XX_IRQ_PWMSS2_EQEP		89
#define AM33XX_IRQ_DMA			90
#define AM33XX_IRQ_WDT1			91
#define AM33XX_IRQ_DMTIMER4		92
#define AM33XX_IRQ_DMTIMER5		93
#define AM33XX_IRQ_DMTIMER6		94
#define AM33XX_IRQ_DMTIMER7		95
#define AM33XX_IRQ_GPIO0_1		96
#define AM33XX_IRQ_GPIO0_2		97
#define AM33XX_IRQ_GPIO1_1		98
#define AM33XX_IRQ_GPIO1_2		99
#define AM33XX_IRQ_GPMC0		100
#define AM33XX_IRQ_EMI			101
#define AM33XX_IRQ_AESEIP36t0_S		102
#define AM33XX_IRQ_AESEIP36t0_P		103
#define AM33XX_IRQ_AESEIP36t1_S		104
#define AM33XX_IRQ_AESEIP36t1_P		105
#define AM33XX_IRQ_DESEIP16t0_S		106
#define AM33XX_IRQ_DESEIP16t0_P		107
#define AM33XX_IRQ_SHAEIP57t0_S		108
#define AM33XX_IRQ_SHAEIP57t0_P		109
#define AM33XX_IRQ_PKAEIP29t0_S		110
#define AM33XX_IRQ_RNGEIP75t0		111
#define AM33XX_IRQ_TPTC0		112
#define AM33XX_IRQ_TPTC1		113
#define AM33XX_IRQ_TPTC2		114
#define AM33XX_IRQ_TSC			115
#define AM33XX_IRQ_SDMA0		116
#define AM33XX_IRQ_SDMA1		117
#define AM33XX_IRQ_SDMA2		118
#define AM33XX_IRQ_SDMA3		119
#define AM33XX_IRQ_SMARTREFLEX0		120
#define AM33XX_IRQ_SMARTREFLEX1		121
#define AM33XX_IRQ_NETRA_MMU		122
#define AM33XX_IRQ_DMA0			123
#define AM33XX_IRQ_DMA1			124
#define AM33XX_IRQ_SPI1			125
#define AM33XX_IRQ_SPI2			126
#define AM33XX_IRQ_SPI			127

#endif
